
From: tglx@linutronixThomas Gleixner <tglx@linutronix.de>

Convert the initializers of hw_interrupt_type structures to C99 initializers.

Signed-off-by: Thomas Gleixner <tglx@linutronix.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/v850/kernel/irq.c   |   14 +++++++-------
 arch/v850/kernel/setup.c |   14 +++++++-------
 arch/v850/kernel/sim.c   |   14 +++++++-------
 3 files changed, 21 insertions(+), 21 deletions(-)

diff -puN arch/v850/kernel/irq.c~v850-c99-initializers-for-hw_interrupt_type-structures arch/v850/kernel/irq.c
--- 25/arch/v850/kernel/irq.c~v850-c99-initializers-for-hw_interrupt_type-structures	Mon Jul 11 15:29:45 2005
+++ 25-akpm/arch/v850/kernel/irq.c	Mon Jul 11 15:29:45 2005
@@ -67,13 +67,13 @@ static void ack_none(unsigned int irq)
 #define end_none	enable_none
 
 struct hw_interrupt_type no_irq_type = {
-	"none",
-	startup_none,
-	shutdown_none,
-	enable_none,
-	disable_none,
-	ack_none,
-	end_none
+	.typename = "none",
+	.startup = startup_none,
+	.shutdown = shutdown_none,
+	.enable = enable_none,
+	.disable = disable_none,
+	.ack = ack_none,
+	.end = end_none
 };
 
 volatile unsigned long irq_err_count, spurious_count;
diff -puN arch/v850/kernel/setup.c~v850-c99-initializers-for-hw_interrupt_type-structures arch/v850/kernel/setup.c
--- 25/arch/v850/kernel/setup.c~v850-c99-initializers-for-hw_interrupt_type-structures	Mon Jul 11 15:29:45 2005
+++ 25-akpm/arch/v850/kernel/setup.c	Mon Jul 11 15:29:45 2005
@@ -128,13 +128,13 @@ static void nmi_end (unsigned irq)
 }
 
 static struct hw_interrupt_type nmi_irq_type = {
-	"NMI",
-	irq_zero,		/* startup */
-	irq_nop,		/* shutdown */
-	irq_nop,		/* enable */
-	irq_nop,		/* disable */
-	irq_nop,		/* ack */
-	nmi_end,		/* end */
+	.typename = "NMI",
+	.startup = irq_zero,		/* startup */
+	.shutdown = irq_nop,		/* shutdown */
+	.enable = irq_nop,		/* enable */
+	.disable = irq_nop,		/* disable */
+	.ack = irq_nop,		/* ack */
+	.end = nmi_end,		/* end */
 };
 
 void __init init_IRQ (void)
diff -puN arch/v850/kernel/sim.c~v850-c99-initializers-for-hw_interrupt_type-structures arch/v850/kernel/sim.c
--- 25/arch/v850/kernel/sim.c~v850-c99-initializers-for-hw_interrupt_type-structures	Mon Jul 11 15:29:45 2005
+++ 25-akpm/arch/v850/kernel/sim.c	Mon Jul 11 15:29:45 2005
@@ -73,13 +73,13 @@ static void irq_nop (unsigned irq) { }
 static unsigned irq_zero (unsigned irq) { return 0; }
 
 static struct hw_interrupt_type sim_irq_type = {
-	"IRQ",
-	irq_zero,		/* startup */
-	irq_nop,		/* shutdown */
-	irq_nop,		/* enable */
-	irq_nop,		/* disable */
-	irq_nop,		/* ack */
-	irq_nop,		/* end */
+	.typename = "IRQ",
+	.startup = irq_zero,		/* startup */
+	.shutdown = irq_nop,		/* shutdown */
+	.enable = irq_nop,		/* enable */
+	.disable = irq_nop,		/* disable */
+	.ack = irq_nop,		/* ack */
+	.end = irq_nop,		/* end */
 };
 
 void __init mach_init_irqs (void)
_
